XFDefaultTransition Class Reference
XF Core Classes

State machine transition without trigger. More...

`#include <defaulttransition.h>`

Inheritance diagram for XFDefaultTransition:
Collaboration diagram for XFDefaultTransition:

## Public Member Functions

| XFDefaultTransition ()
bool | deleteAfterConsume () const override
| See XFEvent. More...
Public Member Functions inherited from XFEvent
| XFEvent (XFEventType eventType, int id=0)
| Standard constructor. More...
virtual | ~XFEvent ()
| Class destructor.
XFEventType | getEventType () const
| Returns the type of the event. More...
interface::XFBehavior * | getBehavior () const
| Returns pointer to behavioral class. More...
void | setBehavior (interface::XFBehavior *pBehavior)
| Sets pointer to behavioral class (see pBehavior_). Sets the behavior in which the event should be executed.
int | getId () const
| Returns id_ identifying the event in the behaviors context.

## Additional Inherited Members

Public Types inherited from XFEvent
enum | XFEventType { Unknown = 0 , Initial = 1 , DefaultTransition = 2 , Event = 3 , Timeout = 4 }
Protected Attributes inherited from XFEvent
const XFEventType | eventType_
| Holds the type of the event.
int | id_
| Event id to identify event in state-machine.
interface::XFBehavior * | pBehavior_
| Pointer to behavioral class (ex. state-machine) processing the event.

## Detailed Description

State machine transition without trigger.

Represents a transition in a state machine having no trigger.

In case one wants to directly transition from one state to another (without a trigger) a default transition must be pushed.

## Constructor & Destructor Documentation

## XFDefaultTransition()

XFDefaultTransition::XFDefaultTransition | ( |  | ) |

Constructor

## Member Function Documentation

## deleteAfterConsume()

bool XFDefaultTransition::deleteAfterConsume | ( |  | ) | const

overridevirtual

See XFEvent.

Reimplemented from XFEvent.

The documentation for this class was generated from the following file:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/src/simplified/xf/include/xf/defaulttransition.h